Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.info.spi
Interface BeanInfoFactory

All Known Implementing Classes:
  AbstractBeanInfoFactory

public interface BeanInfoFactory

BeanInfo Factory.

Version:
  $Revision: 1.11 $
Author:
  Adrian Brock

Method Summary
`BeanInfo` | `getBeanInfo(ClassLoader cl, org.jboss.classadapter.spi.ClassAdapter classAdapter)` Retrieve the bean information

Method Detail

### getBeanInfo

    public BeanInfo getBeanInfo(ClassLoader cl,
                                org.jboss.classadapter.spi.ClassAdapter classAdapter)

  Retrieve the bean information

  Parameters:
    `cl` - the classloader
    `classAdapter` - the classAdapter
  Returns:
    the bean information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.